Agile Central - TLS: When and how were customers notified of the TLS 1.0/1.1 Deprecation?

Document ID : KB000106795
Last Modified Date : 01/08/2018
Show Technical Document Details
Question:
When and how were customers notified of the deprecation of support for TLS 1.0 and 1.1 for CA Agile Central?
Answer:
Below is the timeline of notifications provided to customers prior to the TLS 1.0/1.1 deprecation:
 

 
Mar 14th, 2018 2:28 PM

Customers were first notified of the deprecation via the CA Agile Central Community and status page
Summary:
As of April 1, 2018, CA Agile Central will no longer support connections using Transport Security Layer (TLS) versions 1.0 and 1.1. 
 
Here at CA Agile Central, we take the security of your data very seriously.   In order to comply with industry standards, best practices, and our commitment to providing the best possible experience, on April 1, 2018 we will be deprecating the ability to access CA Agile Central using a browser that does not have TLS 1.2 enabled. 
 
How will this impact you?  
Those customers in compliance with our browser support policy (https://help.rallydev.com/supported-web-browsers) should not be affected by this change.  However, we know that things don’t always go as planned, and we want to make you aware of the impacts of the change.  As of April 1, 2018, you will no longer be able to access CA Agile Central from the following browsers:
 
 
•           Firefox version 5.0 and earlier versions
•           Internet Explorer 8-10 on Windows 7 and earlier versions
•           Safari 6.0.4/OS X10.8.4 and earlier versions
Which browsers support TLS 1.2?
•           Chrome - v30 and higher
•           Firefox - v27 and higher
•           Internet Explorer - v11 and higher
•           Opera - v17 and higher
Safari - v7 and higher
Apr 6th, 2018 8:56 AM

Customers were notified of the deprecation occurring same-day.
Today at 10AM MDT we will be deprecating TLS 1.0 and 1.1.   This may affect Integrations that are using older versions of Windows and the Excel Plugin.  To resolve the Excel Plugin issue please refer to the following post which provides instructions.

https://communities.ca.com/message/242056208-excel-add-in-ssltls-error

For further information please refer to the following community post:
https://communities.ca.com/docs/DOC-231180610-tls-10-and-11-deprecation-notice
Apr 6th, 2018 12:42 PM

Notified customers that the deprecation would be reverted until a later date.
All, we are reverting this change for now. It has become apparent that several integrations, including the Add-in for Excel and other connectors as well as some API endpoints are negatively impacted by the deprecation of support for TLS 1.0/1.1. 

It may take until 2pm Mountain for the revert to fully take effect. 

Please stay tuned for future updates. We do plan on moving forward with this deprecation of TLS 1.0/1.1 in the near future to be compliant with updated security policies.  This may require testing of integrations and/or updates of operating system configurations for anyone leveraging integrations or an API endpoint.

We will be sure to communicate what changes may be necessary prior to the future deprecation.  

UPDATE: Root cause analysis document located at https://communities.ca.com/docs/DOC-231181298-rcaagilecentraltlsdeprecation2018-04-06pdf 



 
Apr 23rd, 2018 12:23 PM

Provided updated communication to provide customers with a testing URL, deprecation date TBD. Also included upgrade install instructions. Posted to community as well. 
Summary
As of June 27, 2018, CA Agile Central will no longer support connections using Transport Layer Security (TLS) versions 1.0 and 1.1.

CA Technologies takes the security of your data very seriously.   In order to comply with industry standards, best practices, and our commitment to providing the best possible experience, on June 27, 2018 we will be deprecating the ability to access CA Agile Central using a browser or integration that does not have TLS 1.2 enabled.

How to Test
To test your browsers and integrations that may be affected by this change, we have provided a production URL that only allows TLS 1.2 connections.

This URL is: https://sectest.rallydev.com

Please test to ensure that your connections are successful using this endpoint prior to June 27, 2018. If your integrations are affected and are not on the affected list above, please contact Support at https://support.ca.com or by calling 1-800-225-5224.

For any integrations that are not supported by or provided by CA Technologies, please test and work with the author/vendor to ensure that it works with TLS 1.2. We will also be working with our partners to ensure they are aware of this change to comply with industry standards.

How Will This Impact You?  

Integrations
We have learned that several integrations running on Windows operating systems are affected and are conducting testing to determine resolution steps for each affected integration.  Currently, we are aware of the below supported integrations that are affected:
In order to continue using these connectors, you will need to install the latest version of the connector (once an update is ready) plus Ruby 2.2. We will post the latest version of these connectors with installation instructions as they are ready, but please keep in mind that the current version of the connectors will no longer be able to access Agile Central once we deprecate TLS 1.0 and 1.1.

Browsers
Those customers in compliance with our browser support policy should not be affected by this change.  However, we know that things don’t always go as planned, and we want to make you aware of the impacts of the change.  As of June 27, 2018, you will no longer be able to access CA Agile Central from the following browsers: 
  • Firefox version 26 and earlier versions
  • Internet Explorer 8-10 on Windows 7 and earlier versions
  • Safari 6.0.4/OS X10.8.4 and earlier versions
Which browsers support TLS 1.2?
  • Chrome - v30 and higher
  • Firefox - v27 and higher
  • Internet Explorer - v11 and higher
  • Opera - v17 and higher
  • Safari - v7 and higher

We will be providing additional updates as we move forward with our own testing to provide resolution steps or updates as needed prior to this change, including new connector versions. Please stay tuned.
  
May 16th, 2018 12:51 PM

 
UPDATE: The TLS 1.0 and 1.1 deprecation has been pushed back to Wednesday, June 27, 2018, to give Agile Central customers enough time to test and distribute any necessary updates to all users. 

As of June 27, 2018, CA Agile Central will no longer support connections using Transport Layer Security (TLS) versions 1.0 and 1.1. Please see https://communities.ca.com/docs/DOC-231181375-tls-10-and-11-deprecation-notice-v2 for more info.  In coming days, we will be releasing updated versions of several integrations which are compatible with TLS 1.2, including the Add-in for Excel. 
May 16th, 2018 3:01 PMUPDATE: The Agile Central Add-In for Excel has been updated. This release is compatible with TLS 1.2.  

Please head to https://help.rallydev.com/rally-add-excel-installation-user-guide and download version 2.44.  


 
**Note: .NET Framework 4.5 or higher is required for this version of the Add-in for Excel to support TLS 1.2. 

To verify compatibility with TLS 1.2, please test your connection against https://sectest.rallydev.com.  

See https://communities.ca.com/docs/DOC-231181375-tls-10-and-11-deprecation-notice-v2 for more info regarding the TLS 1.0 and 1.1 deprecation, scheduled for Wednesday, June 27. 
May 18th, 2018 3:30 PMWe’re happy to announce the 4.8.0 version release of our Agile Central Work Item Connector (WIC) for JIRA!  This specific version was created to address the upcoming update of Agile Central SaaS to Transport Layer Security (TLS) v1.2. 

**Please note that this connector will not connect to CA Agile Central as of Jun 27 without this v4.8.0 update!**

If your team is using a work item tracking system, check out our Work Item Connector (WIC) for JIRA connector to reflect work item information in Agile Central.

Our help documentation page: https://help.rallydev.com/jira-installation-user-guide will be the source of the most complete information on installation, configuration and capabilities of this connector.

Connector download options: 


 
We look forward to users taking advantage of this new connector. Please let us know your feedback as you check it out!
May 18th, 2018 4:30 PMWe’re happy to announce the 4.8.0 version release of our CA Agile Central Work Item Connector (WIC) for HP Quality Center!  This specific version was created to address the upcoming update of Agile Central to Transport Layer Security (TLS) v1.2.

**Please note the HPQC connector will not connect to CA Agile Central as of Jun 27 without this v4.8.0 update!**

If your team is using a work item tracking system, check out our Work Item Connector (WIC) for HP Quality Center connector to reflect work item information in Agile Central.

Our help documentation page: https://help.rallydev.com/quality-center-installation-user-guide will be the source of the most complete information on installation, configuration and capabilities of this connector.

Connector download options:


 
We look forward to users taking advantage of this new connector. Please let us know your feedback as you check it out!
May 18th, 2018 4:47 PMWe’re happy to announce the release of our new Agile Central Work Item Connector (WIC) for TFS2017! This specific version was created to address the upcoming update of Agile Central to Transport Layer Security (TLS) v1.2.

**Please note the TFS Work Item Connector will not connect to CA Agile Central as of June 27 without this v4.8.0 update!**

If your team is using a work item tracking system, check out our Work Item Connector (WIC) for TFS2017 connector to reflect work item information in Agile Central.

Our help documentation page: https://help.rallydev.com/microsoft-tfs-work-items-installation-user-guide will be the source of the most complete information on installation, configuration and capabilities of this connector.

Connector download options:
We look forward to users taking advantage of this new connector. Please let us know your feedback as you check it out!
May 25th, 2018

An email notice was sent to all CA Agile Central subscription administrators.
Action Requested - CA Agile Central Sub-Admins: TLS 1.0/1.1 Deprecation Notice
Updates Required for Select Connector/Toolkit Subscriptions
At 10am on June 27, 2018, CA Agile Central will no longer support connections using Transport Layer Security (TLS) versions 1.0 and 1.1. If your subscription uses the connectors or toolkits below, you must update them before June 27, 2018 for them to continue to work.
New versions of these connectors and toolkits are available or will be available by 5/25/2018 at the links above. 

In addition to the connectors and toolkits, this change could impact old browser versions and custom integrations. For more information on impacts and availability, please read the Community post: Agile Central TLS 1.0 and 1.1 Deprecation Notice

If you have any questions or concerns, please comment on the Community post or contact support
  
Action Requested - CA Agile Central Sub-Admins: TLS 1.0/1.1 Deprecation Notice
User-added image
 
May 25th, 2018 3:10 PM
We’re happy to announce the release of our new Agile Central VCS Connectors v1.6.0! This specific version was created to address the upcoming update of Agile Central to Transport Layer Security (TLS) v1.2.

**Please note the previous VCS connector versions will not connect to CA Agile Central as of June 27 without this v1.6.0 update!**

If your team is using a version control system, check out our Version Control (VCS) connectors to view version control information in Agile Central.

Download the updates here:


 
Jun 3, 2018

Notification banner displayed over navigation menu in CA Agile Central to all users.
 
User-added image
Jun 13th, 2018 10:18 AMA reminder … 

As of June 27, 2018, CA Agile Central will no longer support connections using Transport Layer Security (TLS) versions 1.0 and 1.1. 

Any integrations that are not updated to the latest versions will no longer work after June 27 - please update your integrations using the links below! 


 
  • When – June 27, 2018 at 10am MT
  • How Do I Know If I’m Impacted – more information is available in the Community post about which version of connectors and which browsers are affected along with steps to help you test.
Jun 15, 2018

Notification banner displayed over navigation menu in CA Agile Central to all users.

 
User-added image
Jun 27th, 2018 10:00 AMThe deprecation of TLS 1.0 and 1.1 scheduled for today has now been postponed - future deprecation date to be determined. We have had a few customers experiencing issues with the connector for HP ALM (Quality Center) v4.8.0 and are working to resolve these issues prior to making the cutover.

Customers using the other work item connectors (v4.8.0), version control connectors (v1.6.0) or the Add-in for Excel (v2.4.4) can and should continue updating and testing connections against https://sectest.rallydev.com.

Please see https://communities.ca.com/docs/DOC-231181375-tls-10-and-11-deprecation-notice-v2 for more information regarding the deprecation of TLS 1.0 and 1.1.
Jun 29th, 2018The deprecation date for TLS versions 1.0 and 1.1 has changed to July 16, 2018 at 10:00am Mountain.

As of July 16, 2018, CA Agile Central will no longer support connections using Transport Layer Security (TLS) versions 1.0 and 1.1. 

Please see https://communities.ca.com/docs/DOC-231181375-tls-10-and-11-deprecation-notice-v2 for more information. 
Jul 2nd, 2018 11:51 AMWe’re happy to announce the 4.8.2 version release of our CA Agile Central Work Item Connector (WIC) for HP Quality Center!  This release supports using TLS v.1.2 (only) when communicating with Agile Central and includes a fix for the HPALM metadata inconsistency for the HPALM Requirement entity type.

**Please note the HPQC connector will not connect to CA Agile Central as of July 16 without this v4.8.2 update!**

Our help documentation page: https://help.rallydev.com/quality-center-installation-user-guide will be the source of the most complete information on installation, configuration and capabilities of this connector.

Please submit a support case at https://support.ca.com to get the latest version of this connector, and let us know your feedback as you check it out!
Jul 2, 2018Sent email notification to connector users who were still on older versions and related subscription administrators advising of the deprecation, and recommending upgrading to the latest version. 
Jul 3, 2018

Notification banner displayed over navigation menu in CA Agile Central to all users.
User-added image
Jul 12, 2018

Final notification modal displayed in CA Agile Central to all users who selected "No" above, requiring acknowledgement.
User-added image
Jul 16th, 2018 10:00 AMREMINDER: Today, July 16, 2018 at 10:00am Mountain, CA Agile Central will no longer support connections using Transport Layer Security (TLS) versions 1.0 and 1.1. 

Any integrations that are not updated to the latest versions will no longer work after today at 10:00am Mountain - please update your integrations using the link below! 
https://communities.ca.com/docs/DOC-231181375-tls-10-and-11-deprecation-notice-v2